export type HttpMethod = "GET" | "POST" | "PUT" | "DELETE" | "OPTIONS";
/**
 * PAUSED AND RESUMED are iOS only
 */
export type Status = "STARTED" | "PAUSED" | "RESUMED" | "STOPPED" | "ERROR";
export interface StatusEvent {
    status: Status;
    message: string;
}
export interface RequestEvent {
    uuid: string;
    method: string;
    path: string;
    body: string;
    headersJson: string;
    paramsJson: string;
    cookiesJson: string;
}
export interface Response {
    statusCode?: number;
    statusDescription?: string;
    contentType?: string;
    headers?: Record<string, string>;
    body?: string;
}
export interface Callback {
    method: string;
    path: string;
    uuid: string;
    callback: (request: RequestEvent) => Promise<Response>;
}
export declare const start: () => void;
export declare const route: (path: string, method: HttpMethod, callback: (request: RequestEvent) => Promise<Response>) => void;
export declare const setup: (port: number, onStatusUpdate?: ((event: StatusEvent) => void) | undefined) => void;
export declare const stop: () => any;
//# sourceMappingURL=index.d.ts.map